org.apache.flume.serialization

## Interface EventSerDe.Builder

- Enclosing interface:
    EventSerDe

      public static interface EventSerDe.Builder

  Knows how to construct this serde.
  Note: Implementations MUST provide a public a no-arg constructor.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `EventSerDe` | `build(Context context, ResettableInputStream in, OutputStream out)`

- - ### Method Detail

    - #### build

          EventSerDe build(Context context,
                         ResettableInputStream in,
                         OutputStream out)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.